Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Long Running Operations - Get Operation Result

Service:
Core
API Version:
v1

Returns the result of the long running operation.
You get the operationId from x-ms-operation-id header return by the API that initiated the operation.

Permissions

Same as the permissions required for the API that initiated the operation.

Required Delegated Scope

Same as the scopes required for the API that initiated the operation.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/operations/{operationId}/result

URI Parameters

Name In Required Type Description
operationId
path True

string (uuid)

The operation ID

Responses

Name Type Description
200 OK

file

Request completed successfully.

Media Types: "application/json", "application/octet-stream"

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Media Types: "application/json", "application/octet-stream"

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Media Types: "application/json", "application/octet-stream"

Examples

Get long running operation result example

Sample request

GET https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7/result

Sample response

Status code:
200
{
 "id": "f2d65699-dd22-4889-980c-15226deb0e1b",
 "type": "Notebook",
 "displayName": "Notebook1",
 "description": "",
 "workspaceId": "f2d65699-dd22-4889-980c-15226deb0e1b"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ErrorRelatedResource

Object

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

Object

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

Object

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.